<?php

declare(strict_types=1);

namespace SimAVRPHP\Opcode;

class JMP extends Instruction
{
    public const string OPCODE = "1001010kkkkk110kkkkkkkkkkkkkkkkk";

    public const int WORDS = 2;

    public const int CYCLES = 3;

    public function do(int $k): void
    {
        $this->debug("Jump to: " . $k);
        $this->mcu->pc->jump($k << 1);
    }
}
