<?php

declare(strict_types=1);

namespace SimAVRPHP\Opcode;

class NOP extends Instruction
{
    public const string OPCODE = "0000000000000000";

    public const int WORDS = 1;

    public const int CYCLES = 1;

    public function do(): void
    {
        $this->mcu->pc->stepWords(self::WORDS);
    }
}
