<?php

declare(strict_types=1);

namespace SimAVRPHP\Tests;

use SimAVRPHP\AVR;

use Psr\Log\NullLogger;

use PHPUnit\Framework\TestCase;
use PHPUnit\Framework\Attributes\CoversClass;


#[CoversClass(AVR::class)]
class AVRTest extends TestCase
{
    public function testStepNOP(): void
    {
        $avr = new AVR(new NullLogger);
        $avr->setMemory("\00\00\00\00");
        $avr->step();
    }


}
