#!/bin/sh
avr-gcc -g -Os -mmcu=atmega328p -c blink.c
avr-gcc -g -mmcu=atmega328p -o blink.elf blink.o
avr-objcopy -j .text -j .data -O ihex blink.elf blink.hex
avr-size --format=avr --mcu=atmega328p blink.elf
avr-objcopy --input-target=ihex --output-target=binary blink.hex blink.bin
avr-objdump -d -S -m avr5 blink.elf > blink.dump